Subject: Re: LFTP: Cygwin and setupterm
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Frédéric L. W. Meunier" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 Dec 2002 23:11:31 -0500

At 11:46 PM 12/16/2002, Frédéric L. W. Meunier wrote:
>On Mon, 16 Dec 2002, Larry Hall (RFK Partners, Inc) wrote:
>
> > At 11:03 PM 12/16/2002, Frédéric L. W. Meunier wrote:
> > >Anybody know what's wrong ? I tried to compile LFTP 2.6.3 with
> > >ncurses 5.2-8 and got the following:
> > >
> > >/cygdrive/g/Linux/lftp/src/lftp_tinfo.cc: In function `void init_terminfo()':
> > >/cygdrive/g/Linux/lftp/src/lftp_tinfo.cc:50: implicit declaration of function `int setupterm(...)'
> > >
> > >There's the following in lftp_tinfo.cc:
> > >
> > >#if defined(HAVE_TIGETSTR)
> > >static bool terminfo_ok = true;
> > >static void init_terminfo()
> > >{
> > >    static bool initted = false;
> > >    if(initted) return;
> > >    initted = true;
> > >
> > >    int errret=0;
> > >    if(setupterm(NULL, 1, &errret) == ERR)
> > >       terminfo_ok = false;
> > >}
> > >#endif
> > >
> > >The same error someone reported some time ago with 2.6.2:
> > >
> > >http://www.mail-archive.com/[email-masked]/msg00888.html
> > >
> > >I also e-mailed the lftp-devel mailing-list.
> >
> >
> >
> > This is a trick question, right?  I mean, you know how to
> > search for a prototype in the system include directories
> > don't you?  I'm assuming that you have a real question here
> > but I can't figure out what it is. Can you enlighten us/me?
>
>Sorry, I just found
>http://sources.redhat.com/ml/cygwin/2002-10/msg00122.html
>
>I had to make the symlink (I thought it'd be in ncurses) and
>run configure again, since just typing make isn't enough.

Actually sounds to me like this a configuration issue for LFTP.
I don't think a change to ncurses should be necessary to make
LFTP build.  It seems to me that this would be a problem on 
other platforms using ncurses as well if that were the case.

>I can't reproduce the other problem reported by George Lefter.

Good! :-)

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/